diff --git a/bin/foamCleanPath b/bin/foamCleanPath
index 6bae9ca55e9e4866c3272f3350575bea78ae779a..85b93f8f57e51b5fa1c400a6e91a8c5ca66fe59d 100755
--- a/bin/foamCleanPath
+++ b/bin/foamCleanPath
@@ -3,7 +3,7 @@
 # =========                 |
 # \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
 #  \\    /   O peration     |
-#   \\  /    A nd           | Copyright (C) 2011 OpenFOAM Foundation
+#   \\  /    A nd           | Copyright (C) 2011-2012 OpenFOAM Foundation
 #    \\/     M anipulation  |
 #-------------------------------------------------------------------------------
 # License
@@ -50,7 +50,7 @@ options:
   Prints its argument (which should be a ':' separated list) cleansed from
     - duplicate elements
     - elements whose start matches one of the wildcard(s)
-    - inaccessible directories (with the -strip (at your option)
+    - inaccessible directories (with the -strip option)
 
   Exit status
       0  on success
@@ -86,7 +86,7 @@ done
 dirList="$1"
 shift
 
-[ -n "$1" ] || exit 2    # quick exit on empty 'dirList'
+[ -n "$dirList" ] || exit 2    # quick exit on empty 'dirList'
 
 
 ##DEBUG echo "input>$dirList<" 1>&2